- entityDefinitions:
  - IDI_Task_ViewReturnAttributeMethodBinding: '{9d4b8259-1141-4b83-8a02-8b3b269fb1d3}'
  
  - IDE_ReturnAttributeMethodBinding_View_Start: '{c91702c7-2199-4106-9be9-aa829e8b1044}'
  - IDM_ReturnAttributeMethodBinding_View_Start: '{034b1dde-0ed2-491f-ad92-6d69b9316025}'

  - IDE_ReturnAttributeMethodBinding_View: '{9321f1a4-b4a1-4111-a506-a086d255466d}'
  - IDM_ReturnAttributeMethodBinding_View: '{2e26929c-0f1f-4ace-8650-d73c57ed872f}'
  - IDMB_ReturnAttributeMethodBinding_View: '{4700ff7c-bff2-43b8-b9c9-82007b657523}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewReturnAttributeMethodBinding;'
    name: 'View Return Attribute Method Binding'
    initiatingElement: '&IDE_ReturnAttributeMethodBinding_View_Start;'
    taskCategory: '&IDI_TaskCategory_ReturnAttributeMethodBinding;'

  - controlTransactionMethod: '&IDM_ReturnAttributeMethodBinding_View_Start;'
    forClassId: '&IDC_ReturnAttributeMethodBinding;'
    verb: ''
    name: 'RAMB View Start'
    buildsResponseWithBRMB: '&IDMB_ReturnAttributeMethodBinding_View;'

  - element: '&IDE_ReturnAttributeMethodBinding_View_Start;'
    name: 'View RAMB Start'
    processedByCTMethod: '&IDM_ReturnAttributeMethodBinding_View_Start;'
    elementContents:
    - globalIdentifier: '{787a91b1-35d6-42fe-8cde-48732e0c661e}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - element: '&IDE_ReturnAttributeMethodBinding_View;'
    name: 'view ramb'
    elementContents:
    - globalIdentifier: '{abb6236c-58e3-420b-856f-5c48810af7f3}'
      defaultDataType: '&IDC_ReturnAttributeMethodBinding;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{a1861738-248b-484e-9f89-b62bc48b105f}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildUIResponseMethod: '&IDM_ReturnAttributeMethodBinding_View;'
    usesExecutableReturningElement: '&IDE_ReturnAttributeMethodBinding_View;'

  - buildResponseMethodBinding: '&IDMB_ReturnAttributeMethodBinding_View;'
    executesMethod: '&IDM_ReturnAttributeMethodBinding_View;'
